/***************************************************************************
 *   Copyright (C) 2006 by Helio Chissini de Castro   *
 *   helio@mandriva.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _PROFILECHOOSER_H_
#define _PROFILECHOOSER_H_

#include <qmap.h>
#include <qlistview.h>
#include <kcmodule.h>
#include <kaboutdata.h>

class KListView;
class QTextLabel;

class profilechooser: public KCModule
{
    Q_OBJECT

public:
    profilechooser( QWidget *parent=0, const char *name=0, const QStringList& = QStringList() );
    ~profilechooser();

    virtual void load();
    virtual void save();
    virtual void defaults();
    virtual const KAboutData *aboutData() const { return myAboutData; };


public slots:
    //void configChanged();
    void setCurrent();

private:
	KAboutData *myAboutData;
	KListView *availableProfiles;
	QLabel *defaultLabel;
	QMap<QString, QString> profileList;
	QString defaultProfile;
	
};


class ProfileItem: public QListViewItem
{
	public:
		ProfileItem(QListView *parent, QString name);
		void setCurrent(bool c){m_current = c;repaint();}
		virtual void paintCell ( QPainter * p, const QColorGroup & cg, int column, int width, int align );
	private:
		bool m_current;
};
#endif
